% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE


% CALCULATE THE CONCORDANCE CORRELATION COEFFICIENT OF LIN (1989,2000)

 function [ rho ] = flin(x,y)
  
    n = length(x);   % Number of data in the samples
    
      
    sumX = sum(x);
    
    sumY = sum(y);
    
    
    avgX = sumX/n; % Average
    
    avgY = sumY/n; % Average
    
    
    Sx = x - avgX;
      
    Sy = y - avgY;  
    
      
    SxSy = Sx.*Sy;
 
  
    sumSxSy = sum(SxSy);
    
    
    Sxy = sumSxSy/n;
    
  
    sumSx = sum(Sx.^2);
    
    Sx2 = sumSx / n;
  
    sumSy = sum(Sy.^2);
    
    Sy2 = sumSy/n;
        
    rho = (2*Sxy) / (Sx2 + Sy2 + (avgX - avgY)^2);
      
