% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE


function [R2, SEE, TRE, ASE, MPE, MPSE] = findice(wobs, wpro, p)
  
% Calculate the reproducibility indeces

  yi  = wobs;       % datos observados

  yp  = wpro;       % datos proyectados

  myi = mean(yi);   % media de los wobs

  n   = length(yi); % # datos

% --------------------------------------------
% R^2
% --------------------------------------------

  a = (yi -  yp).^2;
  b = (yi - myi).^2;
  
  R2 = 1 - (sum(a)/sum(b))
  
% --------------------------------------------
% SEE
% Standar Error Estimate
% --------------------------------------------

  a = (yi -  yp).^2;
  
  b = (n - p);
    
  SEE = sqrt(sum(a)/b)
  
% --------------------------------------------
% TRE
% Total Relative Error
% --------------------------------------------

  a = (yi -  yp);
   
  TRE = (sum(a)/sum(yp))*100
   
% --------------------------------------------
% ASE
% Average Systematic Error
% --------------------------------------------

  a = (yi -  yp);
  
  ASE = (sum(a./yp)/n)*100
   
% --------------------------------------------
% MPE
% Mean Prediction Error
% --------------------------------------------

  talpha = 2.0;
  
  MPE = talpha * ((SEE/myi) / sqrt(n)) * 100
    
% --------------------------------------------
% MPSE
% Mean Percent Standar Error
% --------------------------------------------
 
  a = (yi -  yp);
  
  MPSE = (sum(abs(a./yp))/n)*100
  
  