% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

function printprms(Title, fismat)

[SIGMA,CENTER,THETA] = fnngetm(fismat);

m = length(SIGMA);

fprintf('\n=========================================================================================');
fprintf('\n%s.',Title, 'Antecedents');
fprintf('\n=========================================================================================');

for i = 1 : m
    
    name = fismat.input.mf.type;
    fprintf('\nMembership function %d\t', i);
    fprintf('\tType %s',name);
    fprintf('\twith [center = %.4e',CENTER(i));
    fprintf('\tand sigma %.4e]',SIGMA(i));
end

fprintf('\n');

m = length(THETA);

fprintf('\n=========================================================================================');
fprintf('\n%s.',Title, 'Consequent');
fprintf('\n=========================================================================================');

for i = 1 : 2 : m
    
    fprintf('\nLinear function %d\t', (i/2)+0.5);
    fprintf('\t%.4e * u',THETA(i));
    fprintf('\t+ (%.4e)',THETA(i+1));
end

fprintf('\n');

