% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

% Reproducibility indices

function [AIC, CCC, R2, SEE, MPE, MPSE] = findices(wobs, wpro, p)

  yi  = wobs;       % raw data

  yp  = wpro;       % projected data

  myi = mean(yi);  

  n   = length(yi); 

% --------------------------------------------
% AIC
% --------------------------------------------

  MSE = mse(wobs-wpro);
  N = length(wobs);
  logL = -(N/2)*(log(2*pi)+1)-(N/2)*log(MSE);
  AIC = N*log(MSE)+2*p+N*(log(2*pi)+1);
  
% --------------------------------------------
% CCC
% --------------------------------------------

  CCC = flinccc(wobs, wpro);
  
% --------------------------------------------
% R^2
% --------------------------------------------

  a = (yi -  yp).^2;
  b = (yi - myi).^2;
  
  R2 = 1 - (sum(a)/sum(b));
  
% --------------------------------------------
% SEE
% Standar Error Estimate
% --------------------------------------------

  a = (yi -  yp).^2;
  
  b = (n - p);
    
  SEE = sqrt(sum(a)/b);
     
% --------------------------------------------
% MPE
% Mean Prediction Error
% --------------------------------------------

  talpha = 2.0;
  
  MPE = talpha * ((SEE/myi) / sqrt(n)) * 100;
    
% --------------------------------------------
% MPSE
% Mean Percent Standar Error
% --------------------------------------------
 
  a = (yi -  yp);
  
  MPSE = (sum(abs(a./yp))/n)*100;
  
% --------------------------------------------
% Output
% --------------------------------------------

  