% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

% This program creates a Fuzzy Inference System (FIS) of 
% Takagi-Sugeno-Kang (TSK) type for the data in Huxley 1932.

% Cleaning variables resident in the memory and screen

  clc
  clearvars;

% Reading the data set

  load Huxley_1932_raw_data.txt
    
  A = [Huxley_1932_raw_data(:,1), Huxley_1932_raw_data(:,2)];
    
% Data

  X = A(:,1);
  Y = A(:,2);
  
% Logarithmic transformation of the zostera data set

  lnX = log(X);
  lnY = log(Y);
 

  xi = lnX(1:15);
  yi = lnY(1:15);
  
  xj = lnX(16:25);
  yj = lnY(16:25);
  
%Coefficients (with 95% confidence bounds):
       a =       1.626;  %(1.595, 1.657)
       b =      -4.955;  %(-5.132, -4.778)
       
%General model:
     y1 = a*lnX(1:23)+b;
     
     
%Coefficients (with 95% confidence bounds):      
     a =       1.274;  %(1.219, 1.329)
       b =      -2.621;  %(-3.015, -2.226)
     
  %General model:
     y2 = a*lnX(9:25)+b;
     
     figure;
     hold on
     plot(lnX./2.3,lnY./2.3, 'ob', lnX(1:23)./2.3, y1./2.3, '-r', lnX(9:25)./2.3, y2./2.3, '-m');
     line([2.9, 2.9], [2, 3], 'Color', [0.2 0.2 0.2]);
     ylabel('log(Body - weight');
     xlabel('u'); 
     legend('Observed','\itv\rm = b_{1H} + \alpha_{1H}\it u', '\itv\rm = b_{2H} + \alpha_{2H} u'); 
     hold off
     

       