% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

function [SIGMA,CENTER,THETA] = fnngetm(fis)
% fnngetm.m
% Extrae los paramtros de funciones de membrecia gaussianas
n_in   = length(fis.input);   % n
n_out  = length(fis.output);  % m
n_rule = length(fis.rule);    % r
n_param_mf = 2;

SIGMA  = [];  % r x n
CENTER = [];  % r x n
for k=1:n_rule,
    index = fis.rule(k).antecedent;
    sigma  = [];
    center = [];
    for i=1:n_in,
        param = fis.input(i).mf(index(i)).params;
        sigma  = [sigma, param(1)];
        center = [center, param(2)];
    end
    SIGMA = [SIGMA; sigma];
    CENTER = [CENTER; center];
end

THETA = [];   % r(n+1) x m
for j=1:n_out,
    out_Params{j} = reshape([fis.output(j).mf.params],n_in+1,n_rule);
    THETA = [THETA out_Params{j}(:)];
end
