% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

% Cleaning variables resident in the memory and screen

  clc
  clearvars;

% Reading the data of the Echavarria-Heras et al. 2015
  
  load Echavarria_Heras_et_al_2018_Raw_data.txt
    
  A = [Echavarria_Heras_et_al_2018_Raw_data(:,1), Echavarria_Heras_et_al_2018_Raw_data(:,2)];
  
% Datos

  X = A(:,1);
  Y = A(:,2);
  
% Estimated parameters

  a =   8.718e-06;  %(8.026e-06, 9.41e-06)
  b =       1.104;  %(1.094, 1.114)

% Data projected

  Yp = a.*X.^b;
  
  printprms('Mean Response Curve', a, b);
  
% Residuals
   
  ei = (Y - Yp);
  
% ******************************************************************
% Mean response
% ******************************************************************

  figure; % Figure
  hold on
  plot(X, Y, 'oblack', X, Yp, 'ob');
  xlabel('Area (mm^2)');
  ylabel('Biomass (kg)');
  legend('Observed','\itw\rm_s(\itx,\theta\rm)','Location','NW')
  hold off

% ******************************************************************
% Reproducibility indices
% ******************************************************************

  [AIC, CCC, R2, SEE, MPE, MPSE] = findices(Y, Yp, 2);
  
  printdata('Mean Response Curve', AIC, CCC, R2, SEE, MPE, MPSE);
  