% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

% Cleaning variables resident in the memory and screen

  clc
  clearvars;

% Reading the data of the Huxley 1932
  
  load Huxley_1932_Raw_data.txt
    
  A = [Huxley_1932_Raw_data(:,1), Huxley_1932_Raw_data(:,2)];
  
% Datos

  X = A(:,1);
  Y = A(:,2);
  
% Estimates obtained by fitting the non linear model to
% Raw data of the Huxley 1932

  a =     0.04387;  %(0.03385, 0.05389)
  b =       1.343;  %(1.312, 1.374)
  
% Data projected

  Yp = a.*X.^b;
  
% Residuals
   
  ei = (Y - Yp);
  
% ******************************************************************
% Mean response
% ******************************************************************

  figure; % Figure
  hold on
  plot(X, Y, 'oblack', X, Yp, 'ob');
  xlabel('Chela - weight');
  ylabel('Body - weight');
  legend('Observed','\itw\rm_s(\itx,\theta\rm)','Location','NW')
  hold off

% ******************************************************************
% Reproducibility index
% ******************************************************************

  [AIC, CCC, R2, SEE, MPE, MPSE] = findices(Y, Yp, 2);
  