% AUTHORS 
% CECILIA LEAL RAMIREZ
% HECTOR A ECHAVARRIA HERAS
% JUAN RAMON CASTRO RODRIGUEZ
% ENRIQUE VILLA DIHARCE

% Cleaning variables resident in the memory and screen

  clc
  clearvars;

% Reading the data of the Mascaro et al. 2012
  
  load Mascaro_et_al_2011_Raw_data.txt
    
  A = [Mascaro_et_al_2011_Raw_data(:,1), Mascaro_et_al_2011_Raw_data(:,2)];
  
% Datos

  X = A(:,1);
  Y = A(:,2);
  
% Estimates obtained by fitting the non linear model to
% Raw data of the Echavarria_et_al_2018

  a =      0.8812;  %(0.04698, 1.716)
  b =       1.861;  %(1.572, 2.151)
  
% Data projected

  Yp = a.*X.^b;
  
% Residuals
   
  ei = (Y - Yp);
  
% ******************************************************************
% Mean response
% ******************************************************************

  figure; % Figure
  hold on
  plot(X, Y, 'oblack', X, Yp, 'ob');
  xlabel('Diameter');
  ylabel('Aboveground Biomass');
  legend('Observed','\itw\rm_s(\itx,\theta\rm)','Location','NW')
  hold off

% ******************************************************************
% Reproducibility index
% ******************************************************************

  [AIC, CCC, R2, SEE, MPE, MPSE] = findices(Y, Yp, 2);
  